<template>
  <div>
    <el-button type="text" size="small" @click="editRole">编 辑</el-button>
  </div>
</template>

<script>
export default {
  name: '',
  data() {
    return {
    };
  },
  props:['data'],
  computed:{
  },
  watch:{
  },
  methods: {
    editRole () {
      window.sessionStorage.setItem('currentEditRole', JSON.stringify(this.data))
      this.$store.dispatch('DrawerShowChange',true)
      this.$router.push({
        name: 'roleManagent',
        params: {
          data:this.data
        }
      })
    }
  }, 
};
</script>

<style scoped>

</style>
